Bug 666942 - Subscription Screen shows SKU instead of contract number.
Summary: Subscription Screen shows SKU instead of contract number.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.1
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: Pradeep Kilambi
QA Contact: J.C. Molet
URL:
Whiteboard:
Depends On:
Blocks: Entitlement-Beta
TreeView+ depends on / blocked
 
Reported: 2011-01-03 19:19 UTC by J.C. Molet
Modified: 2011-05-19 13:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 13:38:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0611 normal SHIPPED_LIVE new package: subscription-manager 2011-05-18 17:56:21 UTC

Description J.C. Molet 2011-01-03 19:19:11 UTC
Description of problem:
When you click the subscribe button on a subscription with multiple contracts, the SKU is shown in the "contract number" column instead of the actual contract number.


Version-Release number of selected component (if applicable):
subscription-manager-0.93.8-1.git.15.dfe034e.el6.x86_64
subscription-manager-gnome-0.93.8-1.git.15.dfe034e.el6.x86_64

Steps to Reproduce:
1. set up subscription-manager-gnome and all of its deps on a rhel6 system
2. register rhsm (I used the xeops user on candlepin1.devlab.phx1.redhat.com for example, also works against on-premises server)
3. Go to the "all available subscriptions" tab and perform a search to display subscriptions.
4. Select a subscription with more than 1 total contracts, and click subscribe.
  
Actual results:
The 'contract number' column is populated with the SKU for that contract.

Expected results:
The 'contract number' column is populated with the contract number for that contract.

Additional info:
This could be the correct behavior, except that the column name should be changed to "SKU" in that case.

Comment 1 Bryan Kearney 2011-01-04 15:28:27 UTC
Fixed in 77b25033f8c1201e9992fab212574aa032120a08.

Comment 3 J.C. Molet 2011-01-04 17:50:04 UTC
This is now working


subscription-manager-firstboot-0.93.9-1.git.9.b0e1bbf.el6.x86_64
subscription-manager-0.93.9-1.git.9.b0e1bbf.el6.x86_64
subscription-manager-gnome-0.93.9-1.git.9.b0e1bbf.el6.x86_64

Comment 4 errata-xmlrpc 2011-05-19 13:38:28 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html


Note You need to log in before you can comment on or make changes to this bug.